package com.sunxung.factoring.entity.financing.payment;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * --付款申请-豁免审批表（风控）
 * </p>
 *
 * @author liutao
 * @since 2023-04-19
 */
@TableName("exemption_approval_risk")
public class ExemptionApprovalRisk extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 付款申请表id
     */
    @TableField("payment_apply_id")
    private Long paymentApplyId;

    /**
     * 通过pass/退回back
     */
    @TableField("approval_conclusion")
    private String approvalConclusion;

    /**
     * 审批意见
     */
    @TableField("approval_comments")
    private String approvalComments;

    @TableField(exist = false)
    private String taskId;

    /**
     * 融资申请Id
     */
    @TableField(exist = false)
    private Long financingBasicInfoId;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getPaymentApplyId() {
        return paymentApplyId;
    }

    public void setPaymentApplyId(Long paymentApplyId) {
        this.paymentApplyId = paymentApplyId;
    }

    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }

    public String getApprovalComments() {
        return approvalComments;
    }

    public void setApprovalComments(String approvalComments) {
        this.approvalComments = approvalComments;
    }

    public Long getFinancingBasicInfoId() {
        return financingBasicInfoId;
    }

    public void setFinancingBasicInfoId(Long financingBasicInfoId) {
        this.financingBasicInfoId = financingBasicInfoId;
    }
}
